Skip to navigation

Get a list of Vendors

GA
Retrieve a list of Vendors based on specified filters.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

per_pageintegerOptional
pageintegerOptional

Response

This endpoint returns a list of objects.
source_system_idstring

Vendor/Supplier value to designate uniqueness for upsert purposes, which will also be sent back in JE to the ERP system. This value will be used to match source data and perform upserts.

created_atdatetime
Created timestamp when object was created
created_byinteger
Email of the user who created the object
updated_atdatetime
Update timestamp when object was updated
last_modified_byinteger
ID of the user who modified the object last.
namestring

Vendor/Supplier name.

emailstring

Vendor/Supplier Email+

primary_subsidiary_idstring

The primary subsidiary associated with the Vendor/Supplier. This is the g_source_system_id of the Vendor/Supplier’s assigned subsidiary - if applicable. When leveraged, manual accrual entries will default to the subsidiary

currency_idstring

The primary currency id associated with this vendor/supplier. This is the g_source_system_id from source_coas.

inactiveboolean

Determines if the Vendor/Supplier is active

cc_emailstring

Vendor/Supplier cc emails (multiple emails semicolon separate)

glaccount_debit_idstringOptional

Expense glaccount id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

glaccount_credit_idstringOptional

Liability glaccount id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

department_debit_idstringOptional

Expense department/cost center id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

department_credit_idstringOptional

Liability department/cost center id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

class_debit_idstringOptional

Expense class id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

class_credit_idstringOptional

Liability class id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

location_debit_idstringOptional

Expense location id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

location_credit_idstringOptional

Liability location id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

product_debit_idstringOptional

Expense product id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

product_credit_idstringOptional

Liability product id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

project_debit_idstringOptional

Expense project id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

project_credit_idstringOptional

Liability project id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

region_debit_idstringOptional

Expense region id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

region_credit_idstringOptional

Liability region id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

company_debit_idstringOptional

Expense company id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

company_credit_idstringOptional

Liability company id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

intercompany_debit_idstringOptional

Expense intercompany id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

intercompany_credit_idstringOptional

Liability intercompany id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

channel_debit_idstringOptional

Expense channel id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

channel_credit_idstringOptional

Liability channel id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error